Bug 1033000 - Augeas bindings don't convert python unicode for C api
Augeas bindings don't convert python unicode for C api
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-augeas (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-21 06:37 EST by Matthew Booth
Modified: 2014-12-18 01:07 EST (History)
4 users (show)

See Also:
Fixed In Version: python-augeas-0.5.0-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-18 01:07:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Booth 2013-11-21 06:37:16 EST
python-augeas passes python unicode strings directly to the C api. Python unicode seems to use wide characters, causing the C api to misinterpret the \0 in the first character as the end of the string. Therefore, all unicode paths are interpreted as '/':

>>> from augeas import Augeas
>>> h = Augeas()
>>> h.match(u'/files/etc/passwd/*')
['/augeas', '/files']

The fix for this is already upstream in commit 0199f75bbdfe8ace02c5d38f4cfa27791eb97e44. However, there doesn't appear to be an upstream commit which contains it. This error is pretty severe, so perhaps upstream could be convinced to do a new release containing it.
Comment 1 Matthew Booth 2013-11-21 06:39:42 EST
(In reply to Matthew Booth from comment #0)
> However, there doesn't appear to
> be an upstream commit which contains it.

upstream *release*
Comment 2 Fedora Update System 2014-09-04 23:58:34 EDT
python-augeas-0.5.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-augeas-0.5.0-1.fc20
Comment 3 Fedora Admin XMLRPC Client 2014-09-05 05:43:52 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Update System 2014-09-09 18:07:38 EDT
Package python-augeas-0.5.0-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-augeas-0.5.0-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-10345/python-augeas-0.5.0-1.fc20
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2014-12-18 01:07:29 EST
python-augeas-0.5.0-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.